/**编码详情 */
export interface CodeInfo {
  /** 编码ID */
  id: string;
  /** 编码 */
  code: string;
  /** 编码描述 */
  description: string;
  /** 创建时间 */
  create_time: string;
  /** 更新时间 */
  update_time: string;
  /** 创建人 */
  create_by: string;
  /** 更新人 */
  update_by: string;
}

/**查询结果项 */
export interface QueryResultItem {
  /** 编码ID */
  id: string;
  /** 编码 */
  code: string;
  /** 编码描述 */
  description: string;
  /**匹配度 */
  match_rate: number;
}

/**查询结果 */
export interface QueryResult {
  /**查询文本 */
  query_text: string;
  /**查询状态 */
  status: number;
  /**会话ID */
  id: string;
  /**结果 */
  result: QueryResultItem[];
}
/**查询编码结果 */
export interface QueryCodeResult {
  /**查询文本 */
  query: string;
  /**查询统计 */
  query_count: number;
  /**查询耗时 */
  cost_time: number;
  /**结果统计 */
  result_count: number;
  /**查询结果 */
  response_result: QueryResult[];
  /**查询状态 */
  status: number;
}
